Bug 1253114 - USB3.0 hard drive doesn't work after latest kernel update
USB3.0 hard drive doesn't work after latest kernel update
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
first=4.1.4 latest=4.1.4
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 23:02 EDT by Roshan Shariff
Modified: 2016-07-19 13:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:29:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output exhibiting the problem (90.89 KB, text/x-vhdl)
2015-08-12 23:02 EDT, Roshan Shariff
no flags Details
dmesg log with older kernel version, showing no problem (88.08 KB, text/plain)
2015-08-12 23:03 EDT, Roshan Shariff
no flags Details
dmesg output exhibiting the problem (88.83 KB, text/plain)
2015-08-13 18:27 EDT, Roshan Shariff
no flags Details
output of lsusb (doesn't include device) (41.09 KB, text/plain)
2015-08-13 18:28 EDT, Roshan Shariff
no flags Details
output of lsusb (including device, with older kernel) (43.95 KB, text/plain)
2015-08-14 22:06 EDT, Roshan Shariff
no flags Details

  None (edit)
Description Roshan Shariff 2015-08-12 23:02:44 EDT
Created attachment 1062320 [details]
dmesg output exhibiting the problem

Description of problem:

After upgrading to kernel version 4.1.4-200.fc22.x86_64, an external USB 3.0 hard drive is not detected.  The same hard drive works with the previous kernel version, 4.1.3-201.fc22.x86_64.

Version-Release number of selected component (if applicable):
4.1.4-200.fc22.x86_64

How reproducible:
Problem persists after powering down and restarting the machine, and with every port in the system.

Additional info:

Please see end of attached dmesg.log.problem for relevant output. Compare with the corresponding output in dmesg.log.noproblem (search for "LaCie") with the older kernel version.
Comment 1 Roshan Shariff 2015-08-12 23:03:52 EDT
Created attachment 1062321 [details]
dmesg log with older kernel version, showing no problem
Comment 2 Jason Tibbitts 2015-08-13 16:50:36 EDT
(Broken functionality, first=4.1.4)
Comment 3 Jason Tibbitts 2015-08-13 17:00:18 EDT
Somehow that got submitted unintentionally.

It looks like in the broken case, the drive is detected twice for some reason 9as two different USB devices) but it never gets to the point of reading the partition table.  It might be useful to have lsusb -v output for both cases if possible.
Comment 4 Roshan Shariff 2015-08-13 18:26:55 EDT
It is detected twice because I plugged it into a different USB port when it didn't work the first time, to rule out hardware issues.  I'm attaching a new dmesg log that only has one detection. I'm also attaching the output of lsusb, even though the drive doesn't show up there.
Comment 5 Roshan Shariff 2015-08-13 18:27:44 EDT
Created attachment 1062833 [details]
dmesg output exhibiting the problem
Comment 6 Roshan Shariff 2015-08-13 18:28:58 EDT
Created attachment 1062834 [details]
output of lsusb (doesn't include device)
Comment 7 Roshan Shariff 2015-08-14 22:06:50 EDT
Created attachment 1063207 [details]
output of lsusb (including device, with older kernel)
Comment 8 Knudch 2015-08-18 10:17:21 EDT
I think I can confirm this bug

I have F22 x86_64 installed on HD in a USB3 box, as rescue tool.

After update from kernel 4.1.3-201 to 4.14-200 it can not boot anymore.

Grub menu comes up, select the newest kernel, after a long while(without USB activity) it drops out to the dracut menu reporting that it can not access storage.

Happens on 2 different type HW, a Intel I7 based laptop and AMD Phenom II based desktop.

Selecting the previous kernel or the rescue kernel it boot normal.

Just for info, boot it in a VirtualBox 5 (USB 3) guest box, works fine.

Knud
Comment 9 Knudch 2015-08-19 16:41:33 EDT
Kernel 4.1.5-200.fc22.x86_64 has the problem also
Comment 10 Roshan Shariff 2015-08-28 01:26:25 EDT
Kernel 4.1.6-200 still has the bug.
Comment 11 Fedora End Of Life 2016-07-19 13:29:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.